Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 639)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 640)
@@ -27,4 +27,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=0:10:00   # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure #####################
@@ -37,4 +38,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=0:10:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 639)
+++ /trunk/libIGCM/AA_additionnal	(revision 640)
@@ -85,4 +85,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -95,4 +96,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=2:00:00  # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 639)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=2:00:00  # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -155,5 +157,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 #
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 639)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=2:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -155,5 +157,9 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
+
 fi
 #
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 639)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -164,5 +166,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 #
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 639)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=2:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -155,5 +157,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 #
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 639)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00   # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -214,5 +216,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 639)
+++ /trunk/libIGCM/AA_create_se	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00   # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00   # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -221,5 +223,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 639)
+++ /trunk/libIGCM/AA_create_ts	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00   # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -241,5 +243,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 639)
+++ /trunk/libIGCM/AA_monitoring	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=1:00:00   # Limite temps a 2 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -212,5 +214,8 @@
 else
     CARD_DIR=${RUN_DIR}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 639)
+++ /trunk/libIGCM/AA_pack_debug	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -227,6 +229,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    # warning! we copy useless files : Job_xxx, Script_output_xxx, ....
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 639)
+++ /trunk/libIGCM/AA_pack_output	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -204,5 +206,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 639)
+++ /trunk/libIGCM/AA_pack_restart	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
@@ -227,5 +229,8 @@
 else
     CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
-    IGCM_sys_Get_Master ${SUBMIT_DIR} ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 639)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 639)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 640)
@@ -84,4 +84,5 @@
 #-Q- sx8mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
+#-Q- sx8mercure #PBS -r n
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
@@ -94,4 +95,5 @@
 #-Q- sx9mercure #PBS -l elapstim_req=24:00:00  # Limite temps a 1 heures
 #-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #PBS -r n
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 640)
@@ -935,5 +935,5 @@
     typeset TEST NB_ESSAI DELAI status i
     
-    TEST=$( IGCM_sys_RshMaster [ -d $1 ] && echo 1 || echo 0 )
+    TEST=$( IGCM_sys_RshMaster ( [ -d $1 ] || [ -f $1 ] ) && echo 1 || echo 0 )
     if [ ${TEST} -ne 1 ] ; then
       echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON ${MASTER}."
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 640)
@@ -1050,5 +1050,5 @@
   fi
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${1} ] ; then
+    if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
       echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
       IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 640)
@@ -832,5 +832,5 @@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
+        if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
 	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
 	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 640)
@@ -820,5 +820,5 @@
     fi
     if [ $DRYRUN = 0 ]; then
-        if [ ! -d ${1} ] ; then
+        if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
             echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
             IGCM_debug_PopStack "IGCM_sys_Get_Dir"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 640)
@@ -857,5 +857,5 @@
   fi
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${1} ] ; then
+    if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
       echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
       IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 640)
@@ -853,5 +853,5 @@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
+        if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
 	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
 	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 640)
@@ -834,5 +834,5 @@
     fi
     if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
+        if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
 	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
 	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 640)
@@ -1081,5 +1081,5 @@
   fi
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${1} ] ; then
+    if ( [ ! -d ${1} ] && [ ! -f ${1} ] ) ; then
       echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
       IGCM_debug_PopStack "IGCM_sys_Get_Master"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 639)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 640)
@@ -799,5 +799,5 @@
   fi
   if [ $DRYRUN = 0 ]; then
-    TEST=$( IGCM_sys_RshMaster [ -d $1 ] && echo 1 || echo 0 )
+    TEST=$( IGCM_sys_RshMaster ( [ -d $1 ] || [ -f $1 ] ) && echo 1 || echo 0 )
     if [ ${TEST} -ne 1 ] ; then
       echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON ${MASTER}."