Index: trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- trunk/libIGCM/AA_SaveSourceModifications	(revision 642)
+++ trunk/libIGCM/AA_SaveSourceModifications	(revision 643)
@@ -53,4 +53,5 @@
 #-Q- titane #MSUB -E "-Ep "${SUBMIT_DIR}
 #-Q- titane #MSUB -q testext
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ###################### ???
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 642)
+++ trunk/libIGCM/AA_additionnal	(revision 643)
@@ -17,4 +17,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -106,4 +107,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 642)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 642)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 642)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 642)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 642)
+++ trunk/libIGCM/AA_create_multi_se	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 642)
+++ trunk/libIGCM/AA_create_se	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 642)
+++ trunk/libIGCM/AA_create_ts	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 642)
+++ trunk/libIGCM/AA_monitoring	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_pack_debug
===================================================================
--- trunk/libIGCM/AA_pack_debug	(revision 642)
+++ trunk/libIGCM/AA_pack_debug	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 642)
+++ trunk/libIGCM/AA_pack_output	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 642)
+++ trunk/libIGCM/AA_pack_restart	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- trunk/libIGCM/AA_rebuild_fromArchive	(revision 642)
+++ trunk/libIGCM/AA_rebuild_fromArchive	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400           # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 642)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 643)
@@ -16,4 +16,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -E '--no-requeue' 
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
@@ -105,4 +106,5 @@
 #-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- titane #MSUB -q mono
+#-Q- titane #MSUB -E '-rn'
 #-Q- lxiv8 ######################
 #-Q- lxiv8 ## OBELIX      LSCE ##