Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 646)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 647)
@@ -158,5 +158,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 646)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 647)
@@ -158,5 +158,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 646)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 647)
@@ -167,5 +167,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 646)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 647)
@@ -158,5 +158,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 646)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 647)
@@ -217,5 +217,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 646)
+++ /trunk/libIGCM/AA_create_se	(revision 647)
@@ -224,5 +224,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 646)
+++ /trunk/libIGCM/AA_create_ts	(revision 647)
@@ -244,5 +244,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 646)
+++ /trunk/libIGCM/AA_monitoring	(revision 647)
@@ -215,5 +215,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 646)
+++ /trunk/libIGCM/AA_pack_debug	(revision 647)
@@ -230,5 +230,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 646)
+++ /trunk/libIGCM/AA_pack_output	(revision 647)
@@ -207,5 +207,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 646)
+++ /trunk/libIGCM/AA_pack_restart	(revision 647)
@@ -230,5 +230,5 @@
     CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}/$( basename ${SUBMIT_DIR} )
+    CARD_DIR=${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
     IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}