Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 652)
+++ trunk/libIGCM/AA_pack_output	(revision 653)
@@ -315,12 +315,4 @@
           fi
         done
-
-        if [ ! ${nbfile} = ${NbPeriodPerFrequency} ] ; then
-          IGCM_debug_Print 1 "Number of files to process is not equal to what it should be"
-          IGCM_debug_Print 1 "We found ${nbfiles} files and it should have been ${NbPeriodPerFrequency} files"
-          IGCM_debug_Exit "ERROR in number of files to process. STOP HERE INCLUDING THE COMPUTING JOB"
-          IGCM_debug_Verif_Exit
-        fi
-
         # Select list of variables to work with
         list_var=$( cat liste_variables_${myType}_${date_begin_pack}_${date_end_pack}.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if ($1 != nbfile) {print $2}}' | paste -s -d ',' )
@@ -328,4 +320,10 @@
         # Create packed files
         IGCM_debug_Print 1 "Ncrcat ongoing for ${dir} and ${myType}"
+        if [ ! ${nbfile} = ${NbPeriodPerFrequency} ] ; then
+          IGCM_debug_Print 1 "Number of files to process is not equal to what it should be"
+          IGCM_debug_Print 1 "We found ${nbfile} files and it should have been ${NbPeriodPerFrequency} files"
+          IGCM_debug_Exit "ERROR in number of files to process. STOP HERE INCLUDING THE COMPUTING JOB"
+          IGCM_debug_Verif_Exit
+        fi
         output=${JobName}_${date_begin_pack}_${date_end_pack}_${myType}
         #cat liste_pack_${myType}_${date_begin_pack}_${date_end_pack}.txt | xargs ncrcat -v ${list_var} -o ${output}
@@ -352,4 +350,5 @@
         #mv liste_pack_${myType}_${date_begin_pack}_${date_end_pack}.txt ${STORE_DEBUG}
         IGCM_debug_Print 1 "Ncrcat and cleaning done for ${dir} and ${myType}"
+	echo
       done
     done
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 652)
+++ trunk/libIGCM/AA_pack_restart	(revision 653)
@@ -331,14 +331,11 @@
     extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_//" )
     date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-#   warning demenagement. delete last restart of the previous pack
+    # warning demenagement. delete last restart of the previous pack
     [  ${date_file} -eq ${date_end_previous} ] && echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${date_begin_pack}_${date_end_pack}.txt
-#   echo pack number ${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+    # echo pack number ${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
     if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
       echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${date_begin_pack}_${date_end_pack}.txt
-#   warning demenagement. do not delete last restart of this pack
+      # warning demenagement. do not delete last restart of this pack
       [ ${date_file} -eq ${date_end_pack} ] || echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${date_begin_pack}_${date_end_pack}.txt
-#   Will not work. Need to find a better ordering.
-#   elif [ ${date_file} -ge ${date_end_pack} ] ; then
-#     break
     fi
   done
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 652)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 653)
@@ -1006,9 +1006,9 @@
         ;;
       config_Post_TimeSeriesFrequency)
-        IGCM_debug_Print 1  "Change config_Post_TimeSeriesFrequency = ${config_Post_TimeSeriesFrequency} : IGCM_post_Initialize"
+        IGCM_debug_Print 1  "Change config_Post_TimeSeriesFrequency = ${config_Post_TimeSeriesFrequency} : IGCM_post_Configure"
         IGCM_post_Configure
         ;;
       config_Post_SeasonalFrequency)
-        IGCM_debug_Print 1  "Change config_Post_SeasonalFrequency = ${config_Post_SeasonalFrequency} : IGCM_post_Initialize"
+        IGCM_debug_Print 1  "Change config_Post_SeasonalFrequency = ${config_Post_SeasonalFrequency} : IGCM_post_Configure"
         IGCM_post_Configure
         ;;
Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 652)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 653)
@@ -41,5 +41,5 @@
   fi
   #
-  if ( [ X${TimeSeries} = Xtrue ] || [ X${TimeSeries2D} = Xtrue ] || [ X${TimeSeries3D} = Xtrue ] ) ; then
+  if ( [ X${TimeSeries} = Xtrue ] || [ X${TimeSeries2D} = Xtrue ] || [ X${TimeSeries3D} = Xtrue ] || [ X${TimeSeriesChunck2D} = Xtrue ] || [ X${TimeSeriesChunck3D} = Xtrue ] ) ; then
     list_post="${list_post} TimeSeriesFrequency"
   fi
@@ -86,11 +86,11 @@
     fi
     #
-    IGCM_debug_Print 1 "${post_freq} flag value : ${RebuildFrequency}"
+    eval IGCM_debug_Print 1 "${post_freq} flag value : \${${post_freq}}"
   done
   #
   IGCM_debug_Print 2 "POST-TREATEMENT flag value : ${POST}"
   #
-  # Prepare headers for the shell dedicated to offline rebuild
-  if ( [ ${PackFrequency} = true ] && ( [ ${TimeSeriesFrequency} = true ] || [ ${TimeSeriesFrequency} = true ] ) ) ; then
+  # Prepare headers for the shell dedicated to post-processing
+  if ( [ ${PackFrequency} = true ] && ( [ ${TimeSeriesFrequency} = true ] || [ ${SeasonalFrequency} = true ] ) ) ; then
     if [ $DRYRUN -le 1 ]; then
       echo "#!/bin/ksh                                     " >  ${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh