Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 661)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 662)
@@ -726,6 +726,11 @@
 	  file_in_Name=${run_Configuration_OldPrefix}_${file_in}
 
-	  generic_restart_file_name_in=$( basename ${file_in_Name} .nc )
-	  generic_restart_file_name_out=$( basename ${file_out} .nc )
+	  
+	  extension_in=$( echo ${file_in_Name##*.} )
+	  extension_out=$( echo ${file_out##*.} )
+
+
+	  generic_restart_file_name_in=$( basename ${file_in_Name} .${extension_in} )
+	  generic_restart_file_name_out=$( basename ${file_out} .${extension_out} )
 
 	  eval Path_BUF=\${R_BUF_${comp}_R}/${generic_restart_file_name_in}
@@ -733,17 +738,17 @@
 
 	  #if [ -f ${Path_BUF}*.nc ] ; then
-          if [ $( IGCM_sys_TestFileBuffer ${Path_BUF}*.nc ; echo $? ) = 0 ] ; then
+          if [ $( IGCM_sys_TestFileBuffer ${Path_BUF}*.${extension_in} ; echo $? ) = 0 ] ; then
 	    IGCM_debug_Print 3 "Buffered restart"
 	    Buffered=true
 	    Archived=false
 	    Tared=false
-	    nb_restart_file=$(IGCM_sys_CountFileBuffer ${Path_BUF}_????.nc)
+	    nb_restart_file=$(IGCM_sys_CountFileBuffer ${Path_BUF}_????.${extension_in})
 	  #elif [ -f ${Path_OUT}*.nc ] ; then
-          elif [ $( IGCM_sys_TestFileArchive ${Path_OUT}*.nc ; echo $? ) = 0 ] ; then
+          elif [ $( IGCM_sys_TestFileArchive ${Path_OUT}*.${extension_out} ; echo $? ) = 0 ] ; then
 	    IGCM_debug_Print 3 "Archived restart"
 	    Buffered=false
 	    Archived=true
 	    Tared=false
-	    nb_restart_file=$(IGCM_sys_CountFileArchive ${Path_OUT}_????.nc)
+	    nb_restart_file=$(IGCM_sys_CountFileArchive ${Path_OUT}_????.${extension_out})
 	  else
 	    IGCM_debug_Print 3 "Tared restart"
@@ -761,6 +766,6 @@
 	      done
 	    fi
-	    tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.nc
-	    nb_restart_file=$( IGCM_sys_CountFileBuffer ${comp}_${generic_restart_file_name_in}_????.nc )
+	    tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.${extension_in}
+	    nb_restart_file=$( IGCM_sys_CountFileBuffer ${comp}_${generic_restart_file_name_in}_????.${extension_in} )
 	  fi
 
@@ -770,9 +775,9 @@
 	      j4=${j}
 	      if [ X${Buffered} = Xtrue ] ; then
-		IGCM_sys_GetBuffer ${Path_BUF}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
+		IGCM_sys_GetBuffer ${Path_BUF}_${j4}.${extension_in} ${generic_restart_file_name_out}_${j4}.${extension_out}
 	      elif [ X${Archived} = Xtrue ] ; then
-		IGCM_sys_Get ${Path_OUT}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
+		IGCM_sys_Get ${Path_OUT}_${j4}.${extension_out} ${generic_restart_file_name_out}_${j4}.${extension_out}
 	      elif [ X${Tared} = Xtrue ] ; then
-		IGCM_sys_Mv ${comp}_${generic_restart_file_name_in}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
+		IGCM_sys_Mv ${comp}_${generic_restart_file_name_in}_${j4}.${extension_in} ${generic_restart_file_name_out}_${j4}.${extension_out}
 	      fi
 	      (( j=j+1 ))
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 661)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 662)
@@ -683,5 +683,6 @@
 
     # Only if we really have an executable for the component :
-    if [ X${ExeNameIn} != X\"\" ] ; then
+###    if [ X${ExeNameIn} != X\"\" ] ; then
+    if ( [ "X${ExeNameIn}" != X\"\" ] && [ "X${ExeNameIn}" != "Xinca.dat" ] ) ; then
 
       # Keep the first executable found and the first CompName
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 661)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 662)
@@ -1934,5 +1934,6 @@
           # Only if we really have an executable for the component :
           eval ExeNameOut=\${config_Executable_${comp}[1]}
-          if ( [ "X${ExeNameOut}" != X\"\" ] ) ; then
+###          if ( [ "X${ExeNameOut}" != X\"\" ] ) ; then
+          if ( [ "X${ExeNameOut}" != X\"\" ] && [ "X${ExeNameOut}" != "Xinca.dat" ] ) ; then
 
               echo "#!/bin/ksh" > script_${ExeNameOut}.ksh