Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 680)
+++ trunk/libIGCM/AA_additionnal	(revision 681)
@@ -18,4 +18,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 680)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 680)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 680)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 680)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 680)
+++ trunk/libIGCM/AA_create_multi_se	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 680)
+++ trunk/libIGCM/AA_create_se	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 680)
+++ trunk/libIGCM/AA_create_ts	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_job
===================================================================
--- trunk/libIGCM/AA_job	(revision 680)
+++ trunk/libIGCM/AA_job	(revision 681)
@@ -20,6 +20,8 @@
 #-Q- curie #MSUB -n ::JobNumProcTot:: # reservation des processeurs pour le job
 #-Q- curie #MSUB -T 86400             # Limite temps (en secondes)
+#-Q- curie #MSUB -q standard
 #-Q- curie ##MSUB -p XXXXXXX
 #-Q- curie BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 680)
+++ trunk/libIGCM/AA_monitoring	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
Index: trunk/libIGCM/AA_pack_debug
===================================================================
--- trunk/libIGCM/AA_pack_debug	(revision 680)
+++ trunk/libIGCM/AA_pack_debug	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 680)
+++ trunk/libIGCM/AA_pack_output	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 680)
+++ trunk/libIGCM/AA_pack_restart	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- trunk/libIGCM/AA_rebuild_fromArchive	(revision 680)
+++ trunk/libIGCM/AA_rebuild_fromArchive	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 680)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 681)
@@ -17,4 +17,6 @@
 #-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -E '--no-requeue' 
+#-Q- curie #MSUB -q large
+#-Q- curie set +x
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ###################