Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 689)
@@ -669,10 +669,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-    IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -827,4 +821,10 @@
 }
 
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+    IGCM_sys_Mirror_libIGCM
+fi
+
 #D-#==================================================
 #D-function IGCM_sys_Put_Rest
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 689)
@@ -838,10 +838,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-  IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -1074,4 +1068,10 @@
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
 }
+
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+  IGCM_sys_Mirror_libIGCM
+fi
 
 #D-#==================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 689)
@@ -789,10 +789,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-  IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -961,4 +955,10 @@
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
 }
+
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+  IGCM_sys_Mirror_libIGCM
+fi
 
 #D-#==================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 689)
@@ -804,10 +804,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-  IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -976,4 +970,10 @@
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
 }
+
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+  IGCM_sys_Mirror_libIGCM
+fi
 
 #D-#==================================================
@@ -1366,5 +1366,5 @@
   fi
   typeset dateF
-  set +A dateF -- $( ls -l --full-time --time-style='+%Y%m%d%H%M%S' ${1} )
+  set +A dateF -- $( IGCM_sys_RshMaster "ls -l --full-time --time-style='+%Y%m%d%H%M%S' ${1}" )
   eval ${2}=${dateF[5]}
 
@@ -1384,5 +1384,5 @@
   fi
   typeset dateF
-  set +A dateF -- $( ls -l --full-time --time-style='+%Y%m%d%H%M%S' ${1} )
+  set +A dateF -- $( IGCM_sys_RshMaster "ls -l --full-time --time-style='+%Y%m%d%H%M%S' ${1}" )
   eval ${2}=${dateF[5]}
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 689)
@@ -868,10 +868,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-  IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -1104,4 +1098,10 @@
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
 }
+
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+  IGCM_sys_Mirror_libIGCM
+fi
 
 #D-#==================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 688)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 689)
@@ -782,10 +782,4 @@
 }
 
-#====================================================
-#- Call IGCM_sys_Mirror_libIGCM now !
-if ( $MirrorlibIGCM ) ; then
-  IGCM_sys_Mirror_libIGCM
-fi
-
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -962,4 +956,10 @@
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
 }
+
+#====================================================
+#- Call IGCM_sys_Mirror_libIGCM now !
+if ( $MirrorlibIGCM ) ; then
+  IGCM_sys_Mirror_libIGCM
+fi
 
 #D-#==================================================